
#import "mt4gui.dll"   
   string tbVersion();       
   
   // objects "button","checkbox","list","label","text"
   int tbPutObject(int,string,int,int,int,int,string); // hwnd,type,x,y,w,h,label   
   
   // colors
   int tbSetBgColor(int,int,int); // hwnd,object,bgcolor
   int tbSetTextColor(int,int,int); // hwnd,object,color
   
   // removing objects
   int tbRemove(int,int);  // hwnd,handle
   int tbRemoveAll(int); // hwnd
   
   // events
   bool tbIsClicked( int,int ); // hwnd,object
   bool tbIsChecked(int,int); // hwnd,object
   // properties
   int tbSetText(int,int,string,int,string); // hwnd,object,text,fontsize,fontname   
   string tbGetText(int,int); // hwnd,object   
   int tbSetChecked(int,int,bool); // hwnd,object,true|false      
   int tbEnable(int,int,int); // hwnd, object, 0|1   
   
   // listbox 
   int tbAddListItem(int,int,string); // hwnd,object,item
   int tbGetListSel(int,int); // hwnd,object
   int tbSetListSel(int,int,int); // hwnd,object,index
   
#import

#include <libtrade.mqh>
#include <libvisual.mqh>

int btn1 = 0;
int buybtn,sellbtn,closebtn,lotbtnp,lotbtnm;
int b1,b2,b3,SL=100,TP=100,bSL1,bSL2,bTP1,bTP2;
int cb1,cb2=0,cb3;
int hwnd = 0; 
double  LotSize = 0.10;

int init()
  {
   hwnd=WindowHandle(Symbol(),Period());
   
   tbRemoveAll(hwnd);   


   b1 = tbPutObject(hwnd,"button",105,55,50,20,"+");
   b2 = tbPutObject(hwnd,"button",157,55,50,20,"-");
   

   bSL1 = tbPutObject(hwnd,"button",210,55,50,20,"+");
   bSL2 = tbPutObject(hwnd,"button",262,55,50,20,"-");

   bTP1 = tbPutObject(hwnd,"button",315,55,50,20,"+");
   bTP2 = tbPutObject(hwnd,"button",367,55,50,20,"-");


   cb1 = tbPutObject(hwnd,"checkbox",100,250,100,20,"MM Enabled");
   cb2= tbPutObject(hwnd,"checkbox",100,270,100,20,"ECN Broker");
   cb3= tbPutObject(hwnd,"checkbox",100,290,120,20,"4 Digits Broker");
   
   tbSetChecked(hwnd,cb1,true);

   
   b3= tbPutObject(hwnd,"button",105,-165,110,20,"Market Buy");
   sellbtn= tbPutObject(hwnd,"button",105,-140,110,20,"Market Sell");
   closebtn= tbPutObject(hwnd,"button",105,-100,110,20,"Close All");
   
   //b2 = tbPutObject(hwnd,"text",300,180,150,30,"Edit me");
   //b3 = tbPutObject(hwnd,"label",300,280,150,30,"Label");



   tbSetBgColor(hwnd,b1,Green);   tbSetBgColor(hwnd,b2,Brown);
   
   tbSetBgColor(hwnd,closebtn,Gold);
   
   
   tbSetBgColor(hwnd,cb1,Black);   tbSetTextColor(hwnd,cb1,Gold);
   tbSetBgColor(hwnd,cb2,Black);   tbSetTextColor(hwnd,cb2,Gold);
   tbSetBgColor(hwnd,cb3,Black);   tbSetTextColor(hwnd,cb3,MediumSeaGreen);

   tbSetText(hwnd,b1,CharToStr(233),24,"Wingdings");
   tbSetText(hwnd,b2,CharToStr(234),24,"Wingdings");



   tbSetText(hwnd,bSL1,CharToStr(233),24,"Wingdings");
   tbSetText(hwnd,bSL2,CharToStr(234),24,"Wingdings");


   tbSetText(hwnd,bTP1,CharToStr(233),24,"Wingdings");
   tbSetText(hwnd,bTP2,CharToStr(234),24,"Wingdings");


   //tbSetTextColor(b1,Green);



   pFontSize(14); 
   
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() 
  {   
   tbRemoveAll(WindowHandle(Symbol(),Period()));      
   Print ("DEINIT COMPLETED");
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  pReset();
  //if (tbIsClicked(btn1)) PlaySound("ok.wav");
  //Print(tbIsClicked(btn1));
  p("Lot: "+DoubleToStr(LotSize,2)+ "            SL: "+SL+"        TP:"+TP,Yellow);
  
  
  
// Lotsize
  if (tbIsClicked(hwnd,b1)) LotSize=LotSize+0.10;      
  if (tbIsClicked(hwnd,b2) && LotSize>0.10) LotSize=LotSize-0.10;      
// SL  
  if (tbIsClicked(hwnd,bSL1)) SL=SL+10; 
  if (tbIsClicked(hwnd,bSL2) && SL>100) SL=SL-10;

// TP
  if (tbIsClicked(hwnd,bTP1)) TP=TP+10; 
  if (tbIsClicked(hwnd,bTP2) && TP>100) TP=TP-10;

  
  if (LotSize<=0.10) { tbEnable(hwnd,b2,0); } else { tbEnable(hwnd,b2,1); }
  
  if (tbIsClicked(hwnd,b3))
      {
      PlaySound("ok.wav");     
      
      int o1=OrderSend(Symbol(),OP_BUY,LotSize,Ask,3,0,0,"Buy",1);
      if (OrderSelect(o1,SELECT_BY_TICKET))
         {
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderOpenPrice()-SL*Point,OrderOpenPrice()+TP*Point,0);
         }
      
      }

  if (tbIsClicked(hwnd,sellbtn))
      {
      PlaySound("ok.wav");
      o1=OrderSend(Symbol(),OP_SELL,LotSize,Bid,3,0,0,"Sell",1);
      if (OrderSelect(o1,SELECT_BY_TICKET))
         {
         OrderModify(OrderTicket(),OrderOpenPrice(),OrderOpenPrice()+SL*Point,OrderOpenPrice()-TP*Point,0);
         }
      
      }

  if (tbIsClicked(hwnd,closebtn))
      {
      PlaySound("ok.wav");
      CloseAllByMagic(3,1);
      } 


   if (tbIsChecked(hwnd,cb3)) PlaySound("alert2.wav");
      
  return(0);
  }
/*
text and bg color not ready, will take more time
[00:10:35] psu:  tbVersion()
 tbPutObject( chart, name, x, y, w, h, text )  $name=[button, text, label, list, checkbox ] (list not ready)
 tbSetText( obj, text, fontsize, fontname )
 tbSetPos( obj, x, y )
 tbGetText
 tbSetSize( obj, w, h )
 tbIsClicked( obj )
 tbEnable( obj, bool )
 tbRemove( obj )
 tbRemoveAll( chart )
 tbIsChecked(obj)
 tbSetTextColor( obj, color )
 tbSetBgColor( obj, color )
 tbSetChecked(obj,state)
 */